Skip to main content
POST
/
v2
/
agents
/
a2a
Register external A2A agent
curl --request POST \
  --url https://api.orq.ai/v2/agents/a2a \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "path": "<string>",
  "agent_url": "<string>",
  "card_url": "<string>",
  "headers": {}
}
'
{
  "_id": "<string>",
  "type": "a2a",
  "key": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "workspace_id": "<string>",
  "project_id": "<string>",
  "status": "<string>",
  "path": "<string>",
  "metrics": {
    "total_cost": 123
  },
  "memory_stores": [
    "<string>"
  ],
  "team_of_agents": [
    "<unknown>"
  ],
  "created_by_id": "<string>",
  "updated_by_id": "<string>",
  "role": "<string>",
  "instructions": "<string>",
  "version_hash": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "a2a": {
    "agent_url": "<string>",
    "headers": {},
    "card_url": "<string>",
    "cached_card": "<unknown>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
key
string
required

Unique identifier for the agent

Pattern: ^[A-Za-z][A-Za-z0-9]*([._-][A-Za-z0-9]+)*$
display_name
string
required

Display name for the agent

Minimum string length: 1
description
string
required

Description of the agent

path
string
required

Project path for organizing the agent

agent_url
string<uri>
required

The A2A agent endpoint URL

card_url
string<uri>

Optional explicit agent card URL (must be different from agent_url)

headers
object

Authentication headers for the A2A agent

Response

A2A agent registered successfully

_id
string
required
type
enum<string>
required
Available options:
a2a,
internal
key
string
required
display_name
string
required
description
string
required
workspace_id
string
required
project_id
string
required
status
string
required
path
string
required
metrics
object
required
memory_stores
string[]
required
team_of_agents
any[]
required
created_by_id
string | null
updated_by_id
string | null
role
string
instructions
string
version_hash
string
created
string
updated
string
a2a
object